import pandas as pd
import sys
sys.path.append('Scripts')
from preprocess_daily import DailyPreprocessor
self = DailyPreprocessor()
self.load_data() # 1. 데이터 불러오기
self.make_match1(fetch_all=True) # 2-1-1
print(self.match1)
self.match1 = self.match1.drop(index=[9, 11])
self.match1.loc[10, ['phas_A', 'phas_B']] = 2
# 이 사례 말고도 비보호좌회전 사례가 존재하므로 이 코드는 주석처리
# # 201(i8), 5현시 B링의 이동류번호 7 없앰 (비보호좌회전 사례 만들기 위함)
# self.match1.at[20, 'move_A'] = 4
self.match1 = self.match1.reset_index(drop=True)
self.match1.to_csv('Intermediates/match1.csv', index=0)
print(self.match1)
